//
//  TweetMap.m
//  TwitterDemo
//
//  Created by Martin Jacala on 12/15/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "TweetMap.h"


@implementation TweetMap
@synthesize mapView, model;
// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	MKPointAnnotation *annotation = [[MKPointAnnotation alloc] init];
	MKCoordinateRegion zoomIn = mapView.region;
	zoomIn.span.latitudeDelta *= 0.00001;
	zoomIn.span.longitudeDelta *= 0.00001;
	[self.mapView setRegion:zoomIn animated:YES];
	
	float lat=-1000;
	float lon=-1000;
	NSScanner *scanner = [NSScanner scannerWithString:[model objectForKey:@"location"]];
	NSCharacterSet *charSet = [NSCharacterSet characterSetWithCharactersInString:@"-1234567890."];
	[scanner scanUpToCharactersFromSet:charSet intoString:nil];
	[scanner scanFloat:&lat];
	[scanner scanUpToCharactersFromSet:charSet intoString:nil];
	[scanner scanFloat:&lon];
	
	if (lat == -1000 || lon == -1000) return;
	
	CLLocationCoordinate2D coords = CLLocationCoordinate2DMake(lat, lon);
	[annotation setCoordinate:coords];
	[annotation setTitle:[model objectForKey:@"screen_name"]];
	[annotation setSubtitle:@"Subtitle"];
		[mapView setCenterCoordinate:coords];
	[mapView addAnnotation:annotation];

}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (MKAnnotationView *)mapView:(MKMapView *)mapView viewForAnnotation:(id <MKAnnotation>)annotation {
	MKPinAnnotationView *pinAnnotation = [[MKPinAnnotationView alloc] initWithAnnotation:annotation reuseIdentifier:@"pin"];
	[pinAnnotation setCanShowCallout:YES];
	[pinAnnotation setAnimatesDrop:YES];
	[pinAnnotation setPinColor:MKPinAnnotationColorPurple];
	return pinAnnotation;
}

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
